## gate.creole
Class SerialController

    java.lang.Object
      |
      +--gate.util.AbstractFeatureBearer
            |
            +--gate.creole.AbstractResource
                  |
                  +--gate.creole.AbstractController
                        |
                        +--gate.creole.SerialController

All Implemented Interfaces:
  Controller, CreoleListener, EventListener, Executable, FeatureBearer, NameBearer, Resource, Serializable

Direct Known Subclasses:
  SerialAnalyserController

public class SerialController
extends AbstractController
implements CreoleListener

Execute a list of PRs serially.

See Also:
  Serialized Form

Constructor Summary
`SerialController()`

Method Summary
`void` `add(int index, ProcessingResource pr)`
`void` `add(ProcessingResource pr)`
`void` `datastoreClosed(CreoleEvent e)` Called when a `DataStore` has been closed
`void` `datastoreCreated(CreoleEvent e)` Called when a `DataStore` has been created
`void` `datastoreOpened(CreoleEvent e)` Called when a `DataStore` has been opened
`void` `execute()` Run the Processing Resources in sequence.
`Collection` `getPRs()` Returns all the `ProcessingResource`s contained by this controller as an unmodifiable list.
`ProcessingResource` `remove(int index)`
`boolean` `remove(ProcessingResource pr)`
`void` `resourceLoaded(CreoleEvent e)` Called when a new `Resource` has been loaded into the system
`void` `resourceUnloaded(CreoleEvent e)` Called when a `Resource` has been removed from the system
`ProcessingResource` `set(int index, ProcessingResource pr)`
`void` `setPRs(Collection prs)` Populates this controller from a collection of `ProcessingResource`s (optional operation).

Methods inherited from class gate.creole.AbstractController
`addProgressListener, addStatusListener, cleanup, getName, getOffendingPocessingResources, init, interrupt, isInterrupted, removeProgressListener, removeStatusListener, setName`

Methods inherited from class gate.creole.AbstractResource
`checkParameterValues, getParameterValue, getParameterValue, removeResourceListeners, setParameterValue, setParameterValue, setParameterValues, setParameterValues, setResourceListeners`

Methods inherited from class gate.util.AbstractFeatureBearer
`getFeatures, setFeatures`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface gate.Resource
`getParameterValue, setParameterValue, setParameterValues`

Methods inherited from interface gate.util.FeatureBearer
`getFeatures, setFeatures`

Constructor Detail

### SerialController

    public SerialController()

Method Detail

### getPRs

    public Collection getPRs()

  Returns all the `ProcessingResource`s contained by this controller as an unmodifiable list.

### setPRs

    public void setPRs(Collection prs)

  Populates this controller from a collection of `ProcessingResource`s (optional operation). Controllers that are serializable must implement this method needed by GATE to restore the contents of the controllers.
  Overrides:
    `setPRs` in class `AbstractController`
  Throws:
    `UnsupportedOperationException` - if the `setPRs` method is not supported by this controller.

### add

    public void add(int index,
                    ProcessingResource pr)

### add

    public void add(ProcessingResource pr)

### remove

    public ProcessingResource remove(int index)

### remove

    public boolean remove(ProcessingResource pr)

### set

    public ProcessingResource set(int index,
                                  ProcessingResource pr)

### execute

    public void execute()
                 throws ExecutionException

  Run the Processing Resources in sequence.
  Overrides:
    `execute` in class `AbstractController`

### resourceLoaded

    public void resourceLoaded(CreoleEvent e)

  Description copied from interface: `CreoleListener`
  Called when a new `Resource` has been loaded into the system
  Specified by:
    `resourceLoaded` in interface `CreoleListener`

### resourceUnloaded

    public void resourceUnloaded(CreoleEvent e)

  Description copied from interface: `CreoleListener`
  Called when a `Resource` has been removed from the system
  Specified by:
    `resourceUnloaded` in interface `CreoleListener`

### datastoreOpened

    public void datastoreOpened(CreoleEvent e)

  Description copied from interface: `CreoleListener`
  Called when a `DataStore` has been opened
  Specified by:
    `datastoreOpened` in interface `CreoleListener`

### datastoreCreated

    public void datastoreCreated(CreoleEvent e)

  Description copied from interface: `CreoleListener`
  Called when a `DataStore` has been created
  Specified by:
    `datastoreCreated` in interface `CreoleListener`

### datastoreClosed

    public void datastoreClosed(CreoleEvent e)

  Description copied from interface: `CreoleListener`
  Called when a `DataStore` has been closed
  Specified by:
    `datastoreClosed` in interface `CreoleListener`